Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454617 - [RHEL5] Though function write() executed sucessful, sadc end with an error.
Summary: [RHEL5] Though function write() executed sucessful, sadc end with an error.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sysstat
Version: 5.2
Hardware: All
OS: Linux
urgent
medium
Target Milestone: rc
: ---
Assignee: Ivana Varekova
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 609994
TreeView+ depends on / blocked
 
Reported: 2008-07-09 12:34 UTC by ritz
Modified: 2018-10-27 12:31 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, the return value of the write() function did not correspond to the actual number of bytes written. Consequently, the sadc utility terminated with the "Cannot write data to system activity file: Success" error message even though the write operation had finished successfully. With this update, sadc successfully writes the remaining input, fixing this bug.
Clone Of:
Environment:
Last Closed: 2011-07-21 10:39:37 UTC
Target Upstream Version:


Attachments (Terms of Use)
patch (deleted)
2008-07-09 12:34 UTC, ritz
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1005 normal SHIPPED_LIVE Low: sysstat security, bug fix, and enhancement update 2011-07-21 10:39:28 UTC

Comment 1 ritz 2008-07-09 12:34:01 UTC
Created attachment 311367 [details]
patch

Comment 3 RHEL Product and Program Management 2009-03-26 17:10:17 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 13 Tomas Capek 2011-06-29 08:24:05 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, the return value of the write() function did not correspond to the actual number of bytes written. Consequently, the sadc utility terminated with the "Cannot write data to system activity file: Success" error message even though the write operation had finished successfully. With this update, sadc successfully writes the remaining input, fixing this bug.

Comment 14 errata-xmlrpc 2011-07-21 10:39:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-1005.html


Note You need to log in before you can comment on or make changes to this bug.